%define develname %mklibname -d -s ircclient
%define debug_package %{nil}

Summary:	C library to create IRC clients
Name:		libircclient
Version: 	1.8
Release: 	%mkrel 2
License: 	GPLv2
Group:		System/Libraries
URL:		http://www.ulduzsoft.com/libircclient/
Source0:	http://downloads.sourceforge.net/libircclient/%{name}-%{version}.tar.gz
Patch1:		libircclient-1.5-include-rfc.patch
BuildRequires:	openssl-devel

%description
libircclient is a small but powerful library that implements the client-server
IRC protocol. It is designed to be small, fast, portable and compatible to RFC
standards, and most IRC clients. libircclient features include:

 * Full multi-threading support.
 * Single threads handles all the IRC processing.
 * Support for single-threaded applications, and socket-based
   applications, which use select()
 * Synchronous and asynchronous interfaces.
 * CTCP support with optional build-in reply code.
 * Flexible DCC support, including both DCC chat, and DCC file transfer.
 * Can both initiate and react to initiated DCC.
 * Can accept or decline DCC sessions asynchronously.
 * Plain C interface and implementation (possible to use from C++ code,
   obviously)
 * Compatible with RFC 1459 and most IRC clients.
 * Good documentation and examples available.

%package -n	%{develname}
Summary:	C library to create IRC clients
Group:		Development/C
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n	%{develname}
libircclient is a small but powerful library that implements the client-server
IRC protocol. It is designed to be small, fast, portable and compatible to RFC
standards, and most IRC clients. libircclient features include:

 * Full multi-threading support.
 * Single threads handles all the IRC processing.
 * Support for single-threaded applications, and socket-based
   applications, which use select()
 * Synchronous and asynchronous interfaces.
 * CTCP support with optional build-in reply code.
 * Flexible DCC support, including both DCC chat, and DCC file transfer.
 * Can both initiate and react to initiated DCC.
 * Can accept or decline DCC sessions asynchronously.
 * Plain C interface and implementation (possible to use from C++ code,
   obviously)
 * Compatible with RFC 1459 and most IRC clients.
 * Good documentation and examples available.

%prep
%setup -q
%autopatch -p0

%build
%configure2_5x --enable-openssl --enable-ipv6
%make

%install
%__mkdir_p %{buildroot}%{_libdir}
%__cp src/%{name}.a %{buildroot}%{_libdir}/

%__mkdir_p %{buildroot}%{_includedir}
%__cp include/*.h %{buildroot}%{_includedir}

%files -n %{develname}
%doc LICENSE README Changelog THANKS
%{_libdir}/*.a
%{_includedir}/*.h


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 1.8-2.mga6
+ Revision: 955590
- Mageia 6 Mass Rebuild

* Mon Sep 07 2015 fwang <fwang> 1.8-1.mga6
+ Revision: 873873
- empty debug package
- 1.8

* Wed Oct 15 2014 umeabot <umeabot> 1.6-5.mga5
+ Revision: 749762
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6-4.mga5
+ Revision: 681541
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6-3.mga4
+ Revision: 507096
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.6-2.mga3
+ Revision: 357534
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 11 2012 fwang <fwang> 1.6-1.mga3
+ Revision: 259695
- new version 1.6

* Fri Jan 20 2012 fwang <fwang> 1.5-2.mga2
+ Revision: 198580
- add rfc include into main header

* Thu Jan 19 2012 fwang <fwang> 1.5-1.mga2
+ Revision: 198431
- imported package libircclient


* Thu Jan 19 2012 Funda Wang <fwang@mandriva.org> 1.5-1mdv2012.0
+ Revision: 762524
- new version 1.5

* Thu Dec 22 2011 Andrey Bondrov <abondrov@mandriva.org> 1.3-1
+ Revision: 744577
- imported package libircclient

